AuthConfigFactoryImpl (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.catalina.authenticator.jaspic

## Class AuthConfigFactoryImpl

- java.lang.Object
- - javax.security.auth.message.config.AuthConfigFactory
  - - org.apache.catalina.authenticator.jaspic.AuthConfigFactoryImpl

-     public class AuthConfigFactoryImpl
      extends AuthConfigFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.security.auth.message.config.AuthConfigFactory

      `AuthConfigFactory.RegistrationContext`

  - ### Field Summary

    - ### Fields inherited from class javax.security.auth.message.config.AuthConfigFactory

      `DEFAULT_FACTORY_SECURITY_PROPERTY, GET_FACTORY_PERMISSION_NAME, getFactorySecurityPermission, PROVIDER_REGISTRATION_PERMISSION_NAME, providerRegistrationSecurityPermission, SET_FACTORY_PERMISSION_NAME, setFactorySecurityPermission`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthConfigFactoryImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `detachListener​(RegistrationListener listener, java.lang.String layer, java.lang.String appContext)` |
    `AuthConfigProvider` | `getConfigProvider​(java.lang.String layer, java.lang.String appContext, RegistrationListener listener)` |
    `AuthConfigFactory.RegistrationContext` | `getRegistrationContext​(java.lang.String registrationID)` |
    `java.lang.String[]` | `getRegistrationIDs​(AuthConfigProvider provider)` |
    `void` | `refresh()` |
    `java.lang.String` | `registerConfigProvider​(java.lang.String className, java.util.Map properties, java.lang.String layer, java.lang.String appContext, java.lang.String description)` |
    `java.lang.String` | `registerConfigProvider​(AuthConfigProvider provider, java.lang.String layer, java.lang.String appContext, java.lang.String description)` |
    `boolean` | `removeRegistration​(java.lang.String registrationID)` |

    - ### Methods inherited from class javax.security.auth.message.config.AuthConfigFactory

      `getFactory, setFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthConfigFactoryImpl

          public AuthConfigFactoryImpl()

  - ### Method Detail

    - #### getConfigProvider

          public AuthConfigProvider getConfigProvider​(java.lang.String layer,
                                                      java.lang.String appContext,
                                                      RegistrationListener listener)

      Specified by:
        `getConfigProvider` in class `AuthConfigFactory`

    - #### registerConfigProvider

          public java.lang.String registerConfigProvider​(java.lang.String className,
                                                         java.util.Map properties,
                                                         java.lang.String layer,
                                                         java.lang.String appContext,
                                                         java.lang.String description)

      Specified by:
        `registerConfigProvider` in class `AuthConfigFactory`

    - #### registerConfigProvider

          public java.lang.String registerConfigProvider​(AuthConfigProvider provider,
                                                         java.lang.String layer,
                                                         java.lang.String appContext,
                                                         java.lang.String description)

      Specified by:
        `registerConfigProvider` in class `AuthConfigFactory`

    - #### removeRegistration

          public boolean removeRegistration​(java.lang.String registrationID)

      Specified by:
        `removeRegistration` in class `AuthConfigFactory`

    - #### detachListener

          public java.lang.String[] detachListener​(RegistrationListener listener,
                                                   java.lang.String layer,
                                                   java.lang.String appContext)

      Specified by:
        `detachListener` in class `AuthConfigFactory`

    - #### getRegistrationIDs

          public java.lang.String[] getRegistrationIDs​(AuthConfigProvider provider)

      Specified by:
        `getRegistrationIDs` in class `AuthConfigFactory`

    - #### getRegistrationContext

          public AuthConfigFactory.RegistrationContext getRegistrationContext​(java.lang.String registrationID)

      Specified by:
        `getRegistrationContext` in class `AuthConfigFactory`

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in class `AuthConfigFactory`